Subject: Re: [OPSAWG] WG adoption poll for draft-zheng-opsawg-tacacs-yang-02

From: "Wubo (lana)" <[email-masked]>
Date: Mon, 8 Jul 2019 06:55:08 +0000

Support as a co-author.

Thanks,
Bo

发件人: OPSAWG [mailto:[email-masked]] 代表 Tianran Zhou
发送时间: 2019年7月7日 15:59
收件人: [email-masked]
抄送: OpsAWG Chairs <[email-masked]>
主题: [OPSAWG] WG adoption poll for draft-zheng-opsawg-tacacs-yang-02

Hi WG,

This document was presented in Prague. The authors have addressed all the comments and believe it’s ready for further working group discussion.

https://tools.ietf.org/html/draft-zheng-opsawg-tacacs-yang-02

This email starts a two weeks poll for adoption.

If you support adopting this document please say so, and please give an indication of why you think it is important. Also please say if you will be willing to review and help the draft.

If you do not support adopting this document as a starting point for work on this topic, please say why..

This poll will run until 22nd July.

Regards,

Tianran & Joe

---

From: Qin Wu <[email-masked]>
Date: Tue, 9 Jul 2019 03:19:56 +0000

A few thoughts on Eliot’s two questions:

1.       Do we have YANG data model draft developed by IETF published as informational RFC? I haven’t seen one.

2.       This model uses system management YANG data model defined in RFC7317 as base model and augment it with TACACS+ specifics, and RFC7317 is standard track RFC.

3.       Downref is allowed in some circumstance, See RFC3967 section 2, first two bullets.

4.       TACACS+ protocol has been moved for publication. Whether or not TACACS++ comes later, TACACS+ will be basis for any advanced features. So timing is perfect.

-Qin
发件人: OPSAWG [mailto:[email-masked]] 代表 Tianran Zhou
发送时间: 2019年7月9日 10:35
收件人: Eliot Lear <[email-masked]>
抄送: [email-masked]; OpsAWG Chairs <[email-masked]>
主题: Re: [OPSAWG] WG adoption poll for draft-zheng-opsawg-tacacs-yang-02

Hi Eliot,

Thanks for your suggestions. Please see inline.

Tianran

From: Eliot Lear [mailto:[email-masked]]
Sent: Monday, July 08, 2019 8:13 PM
To: Tianran Zhou <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; OpsAWG Chairs <[email-masked]<mailto:[email-masked]>>
Subject: Re: [OPSAWG] WG adoption poll for draft-zheng-opsawg-tacacs-yang-02

Hi Tianran,

I have two concerns about this draft.  First is the intended status of this document.  It currently calls out draft-ietf-opsawg-tacacs as an informational reference.  I think the question here is really whether this draft should also be informational.  As a practical matter you really do need to have implemented the other draft for this one to be implemented.  And that means that really it should be a normative reference.  But it would be a downref.  To address this, I suggest just making this document an informational draft, rather than targeting for standards, and make the reference normative.

[Tianran] Yes, I have the same concern. You provided a good approach. On the other hand, I think RFC3967 described this case.
“2.  The Need for Downward References
    …
   o  A standards document may need to refer to a proprietary protocol,
      and the IETF normally documents proprietary protocols using
      informational RFCs.”

In addition, I have another question.  Is there interest or appetite for creating a standardized and more version of T+?  If so, is the timing of a standardized YANG model appropriate?

[Tianran] I would like to see how the WG would like to approach.

Eliot

On 7 Jul 2019, at 09:58, Tianran Zhou <[email-masked]<mailto:[email-masked]>> wrote:

Hi WG,

Regards,
Tianran & Joe

_______________________________________________
OPSAWG mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/opsawg

---

From: "Wubo (lana)" <[email-masked]>
Date: Wed, 10 Jul 2019 07:05:14 +0000

Thank Joe and Eliot for the comments and suggestions, I will specify these two points for discussion in my slides.

Thanks,
Bo

发件人: Joe Clarke (jclarke) [mailto:[email-masked]]
发送时间: 2019年7月9日 23:15
收件人: Eliot Lear <[email-masked]>
抄送: Wubo (lana) <[email-masked]>; Qin Wu <[email-masked]>; Tianran Zhou <[email-masked]>; [email-masked]; OpsAWG Chairs <[email-masked]>
主题: Re: [OPSAWG] WG adoption poll for draft-zheng-opsawg-tacacs-yang-02

On Jul 9, 2019, at 05:35, Eliot Lear <[email-masked]<mailto:[email-masked]>> wrote:

On 9 Jul 2019, at 08:59, Wubo (lana) <[email-masked]<mailto:[email-masked]>> wrote:

Thank Eliot for pointing out these questions. I share a similar view with Qin, and I suggest to make the following changes in the next version:

1. draft-ietf-opsawg-tacacs will be changed as a normative reference according to RFC3967.

Several points: please take into account that RFC 8067 updates RFC 3967.  What this means is that you should probably have a brief chat with the chairs and Ignas on this point to see what he wants.  It may also be worth a little bit of discussion time.

Agreed on your points here.  I do think this should be a standards track document, and I think a downref would be acceptable in this case.  But this is worth addressing as an issue for your draft in your slot.

2. For the second point, I think your concern may be whether the TACACS + YANG model is flexible enough to accommodate the TACACS advanced features.

I think the augmentation is exactly what you want to do for this sort of thing.

This was also my thinking.  If/when a T+/TLS draft comes out and additional configuration is required, that could be an augmentation or even a bis to this model.  From a YANG versioning standpoint, we want models to evolve.

Joe